Package com.xebialabs.xlrelease.configuration

## Class ArchivingSettings

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.configuration.ArchivingSettings

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                versioned=false)
      public class ArchivingSettings
      extends BaseConfiguration

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ARCHIVING_SETTINGS_ID` |
    `static int` | `DEFAULT_SEARCH_PAGE_SIZE` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArchivingSettings()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getArchivingJobCronSchedule()` |
    `boolean` | `getEnabled()` |
    `boolean` | `getExportOnPurgeEnabled()` |
    `java.lang.Integer` | `getMaximumArchiveRetentionPeriod()` |
    `java.lang.Integer` | `getMaxSecondsPerRun()` |
    `boolean` | `getPreArchivingEnabled()` |
    `java.lang.String` | `getPurgeExportPath()` |
    `boolean` | `getPurgingEnabled()` |
    `java.lang.String` | `getPurgingJobCronSchedule()` |
    `java.lang.Integer` | `getPurgingMaxSecondsPerRun()` |
    `java.lang.Integer` | `getPurgingSearchPageSize()` |
    `java.lang.Integer` | `getPurgingSleepSecondsBetweenReleases()` |
    `java.lang.Integer` | `getReleaseAgeToAbort()` |
    `java.lang.Integer` | `getReleaseAgeToDeleteFromJcr()` |
    `java.lang.String` | `getReleaseCleanupCronSchedule()` |
    `java.lang.Integer` | `getReleaseCleanupMaxSecondsPerRun()` |
    `java.lang.Integer` | `getReleaseCleanupSearchPageSize()` |
    `java.lang.Integer` | `getReleaseCleanupSleepSecondsBetweenAbort()` |
    `java.lang.Integer` | `getSearchPageSize()` |
    `boolean` | `getSkipArchiveAllowed()` |
    `java.lang.Integer` | `getSleepSecondsBetweenReleases()` |
    `boolean` | `isReleaseCleanupEnabled()` |
    `void` | `setExportOnPurgeEnabled​(boolean enabled)` |
    `void` | `setMaximumArchiveRetentionPeriod​(java.lang.Integer maximumArchiveRetentionPeriod)` |
    `void` | `setPreArchivingEnabled​(java.lang.Boolean enabled)` |
    `void` | `setPurgeExportPath​(java.lang.String location)` |
    `void` | `setPurgingEnabled​(boolean enabled)` |
    `void` | `setReleaseAgeToAbort​(java.lang.Integer releaseAgeToAbort)` |
    `void` | `setReleaseAgeToDeleteFromJcr​(java.lang.Integer releaseAgeToDeleteFromJcr)` |
    `void` | `setReleaseCleanupCronSchedule​(java.lang.String releaseCleanupCronSchedule)` |
    `void` | `setReleaseCleanupEnabled​(boolean releaseCleanupEnabled)` |
    `void` | `setReleaseCleanupMaxSecondsPerRun​(java.lang.Integer releaseCleanupMaxSecondsPerRun)` |
    `void` | `setReleaseCleanupSearchPageSize​(java.lang.Integer releaseCleanupSearchPageSize)` |
    `void` | `setReleaseCleanupSleepSecondsBetweenAbort​(java.lang.Integer releaseCleanupSleepSecondsBetweenAbort)` |
    `void` | `setSkipArchiveAllowed​(boolean skipArchiveAllowed)` |
    `void` | `validate()` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, getTitle, hasId, setFolderId, setTitle`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ARCHIVING_SETTINGS_ID

          public static final java.lang.String ARCHIVING_SETTINGS_ID

      See Also:
        Constant Field Values

    - #### DEFAULT_SEARCH_PAGE_SIZE

          public static final int DEFAULT_SEARCH_PAGE_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ArchivingSettings

          public ArchivingSettings()

  - ### Method Detail

    - #### validate

          public void validate()

    - #### getReleaseAgeToDeleteFromJcr

          public java.lang.Integer getReleaseAgeToDeleteFromJcr()

    - #### getArchivingJobCronSchedule

          public java.lang.String getArchivingJobCronSchedule()

    - #### setReleaseAgeToDeleteFromJcr

          public void setReleaseAgeToDeleteFromJcr​(java.lang.Integer releaseAgeToDeleteFromJcr)

    - #### getEnabled

          public boolean getEnabled()

    - #### getPreArchivingEnabled

          public boolean getPreArchivingEnabled()

    - #### setPreArchivingEnabled

          public void setPreArchivingEnabled​(java.lang.Boolean enabled)

    - #### getSearchPageSize

          public java.lang.Integer getSearchPageSize()

    - #### getMaxSecondsPerRun

          public java.lang.Integer getMaxSecondsPerRun()

    - #### getSleepSecondsBetweenReleases

          public java.lang.Integer getSleepSecondsBetweenReleases()

    - #### getPurgingEnabled

          public boolean getPurgingEnabled()

    - #### setPurgingEnabled

          public void setPurgingEnabled​(boolean enabled)

    - #### getPurgeExportPath

          public java.lang.String getPurgeExportPath()

    - #### setPurgeExportPath

          public void setPurgeExportPath​(java.lang.String location)

    - #### getExportOnPurgeEnabled

          public boolean getExportOnPurgeEnabled()

    - #### setExportOnPurgeEnabled

          public void setExportOnPurgeEnabled​(boolean enabled)

    - #### getMaximumArchiveRetentionPeriod

          public java.lang.Integer getMaximumArchiveRetentionPeriod()

    - #### setMaximumArchiveRetentionPeriod

          public void setMaximumArchiveRetentionPeriod​(java.lang.Integer maximumArchiveRetentionPeriod)

    - #### getPurgingJobCronSchedule

          public java.lang.String getPurgingJobCronSchedule()

    - #### getPurgingSearchPageSize

          public java.lang.Integer getPurgingSearchPageSize()

    - #### getPurgingMaxSecondsPerRun

          public java.lang.Integer getPurgingMaxSecondsPerRun()

    - #### getPurgingSleepSecondsBetweenReleases

          public java.lang.Integer getPurgingSleepSecondsBetweenReleases()

    - #### getSkipArchiveAllowed

          public boolean getSkipArchiveAllowed()

    - #### setSkipArchiveAllowed

          public void setSkipArchiveAllowed​(boolean skipArchiveAllowed)

    - #### isReleaseCleanupEnabled

          public boolean isReleaseCleanupEnabled()

    - #### setReleaseCleanupEnabled

          public void setReleaseCleanupEnabled​(boolean releaseCleanupEnabled)

    - #### getReleaseAgeToAbort

          public java.lang.Integer getReleaseAgeToAbort()

    - #### setReleaseAgeToAbort

          public void setReleaseAgeToAbort​(java.lang.Integer releaseAgeToAbort)

    - #### getReleaseCleanupSleepSecondsBetweenAbort

          public java.lang.Integer getReleaseCleanupSleepSecondsBetweenAbort()

    - #### setReleaseCleanupSleepSecondsBetweenAbort

          public void setReleaseCleanupSleepSecondsBetweenAbort​(java.lang.Integer releaseCleanupSleepSecondsBetweenAbort)

    - #### getReleaseCleanupSearchPageSize

          public java.lang.Integer getReleaseCleanupSearchPageSize()

    - #### setReleaseCleanupSearchPageSize

          public void setReleaseCleanupSearchPageSize​(java.lang.Integer releaseCleanupSearchPageSize)

    - #### getReleaseCleanupMaxSecondsPerRun

          public java.lang.Integer getReleaseCleanupMaxSecondsPerRun()

    - #### setReleaseCleanupMaxSecondsPerRun

          public void setReleaseCleanupMaxSecondsPerRun​(java.lang.Integer releaseCleanupMaxSecondsPerRun)

    - #### getReleaseCleanupCronSchedule

          public java.lang.String getReleaseCleanupCronSchedule()

    - #### setReleaseCleanupCronSchedule

          public void setReleaseCleanupCronSchedule​(java.lang.String releaseCleanupCronSchedule)